Bug 615532 - pinentry-gtk-2 does not recognize passphrase
Summary: pinentry-gtk-2 does not recognize passphrase
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 23:10 UTC by GeoffLeach
Modified: 2010-12-13 08:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 18:28:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description GeoffLeach 2010-07-16 23:10:01 UTC
Description of problem:Pinentry-gtk-2 as run by gpg -d has two phases. The first prompts "Please enter the passphrase ..." fails to recognize the passphrase as entered as valid. the second phase "Enter passphrase ..." recognizes the same passphrase as valid.


Version-Release number of selected component (if applicable):
pinentry-0.8.0-3.fc13.i686

How reproducible:


Steps to Reproduce:
1.enter passphrase
2.when rejected, hit cancel
3.enter same passphrase
  
Actual results:
first entry fails

Expected results:
first entry should succeed

Additional info:

Comment 1 GeoffLeach 2010-12-10 18:28:50 UTC
User error. Passphrase was created using --sign without --symetric.

Comment 2 Stanislav Ochotnicky 2010-12-13 08:19:11 UTC
Thanks for the bugreport and sorry for not getting to this before you were able solve it yourself. But I guess this would be next to impossible to figure out from our end anyway :-)


Note You need to log in before you can comment on or make changes to this bug.